Subject: [spring] IPR Poll for draft-filsfils-spring-srv6-network-programming

From: <[email-masked]>
Date: Wed, 13 Mar 2019 18:50:00 +0000

Hi authors, SPRING WG,

In parallel to the call for adoption for draft-filsfils-spring-srv6-network-programming (1), we would like to poll for IPR.

If you are aware of IPR that applies to draft-filsfils-spring-srv6-network-programming please respond to this email.

If you are aware of IPR, please indicate whether it has been disclosed in accordance with IETF IPR rules (RFCs 3979, 4879, 3669 and 5378 provide more details).

If you are an *author or contributor* please respond to this email regardless of whether or not you're aware of any IPR.

If you are not an author or contributor, please explicitly respond only if you are aware of IPR that has not yet been disclosed.

This document will not advance into the working group until IPR confirmations have been received from all authors and contributors.

Thank you,

(1)  https://tools.ietf.org/html/draft-filsfils-spring-srv6-network-programming-07

--Bruno & Rob.

_________________________________________________________________________________________________________________________

Ce message et ses pieces jointes peuvent contenir des informations confidentielles ou privilegiees et ne doivent donc
pas etre diffuses, exploites ou copies sans autorisation. Si vous avez recu ce message par erreur, veuillez le signaler
a l'expediteur et le detruire ainsi que les pieces jointes. Les messages electroniques etant susceptibles d'alteration,
Orange decline toute responsabilite si ce message a ete altere, deforme ou falsifie. Merci.

This message and its attachments may contain confidential or privileged information that may be protected by law;
they should not be distributed, used or copied without authorisation.
If you have received this email in error, please notify the sender and delete this message and its attachments.
As emails may be altered, Orange is not liable for messages that have been modified, changed or falsified.
Thank you.

---

From: "john leddy.net" <[email-masked]>
Date: Wed, 13 Mar 2019 19:46:22 -0400 (EDT)

I am not aware of IPR that applies to draft-filsfils-spring-srv6-network-programming

John Leddy

> On March 13, 2019 at 2:50 PM [email-masked] wrote:
> 
> 
>     Hi authors, SPRING WG,
>           
> 
>           
>             
>           
> 

> _______________________________________________
>     spring mailing list
>     [email-masked]
>     https://www.ietf.org/mailman/listinfo/spring
>

---

From: "Pengshuping (Peng Shuping)" <[email-masked]>
Date: Thu, 14 Mar 2019 01:58:38 +0000

Support the WG adoption.

Thanks,
Shuping

From: spring [mailto:[email-masked]] On Behalf Of [email-masked]
Sent: Thursday, March 14, 2019 2:50 AM
To: SPRING WG <[email-masked]>
Cc: [email-masked]
Subject: [spring] IPR Poll for draft-filsfils-spring-srv6-network-programming

Hi authors, SPRING WG,

Thank you,

--Bruno & Rob.

Thank you.

---

From: Lizhenbin <[email-masked]>
Date: Thu, 14 Mar 2019 04:35:37 +0000

Support as the co-author.

Best Regards,

Zhenbin (Robin)

Hi authors, SPRING WG,

Thank you,

--Bruno & Rob.

Thank you.

---

From: Lizhenbin <[email-masked]>
Date: Thu, 14 Mar 2019 04:38:18 +0000

I am not aware of any IPR about the draft except the disclosed one.

Best Regards,

Zhenbin (Robin)

________________________________
发件人: [email-masked] [[email-masked]]
发送时间: 2019年3月14日 2:50
收件人: SPRING WG
抄送: [email-masked]
主题: IPR Poll for draft-filsfils-spring-srv6-network-programming

Hi authors, SPRING WG,

Thank you,

--Bruno & Rob.

---

From: "Pengshuping (Peng Shuping)" <[email-masked]>
Date: Thu, 14 Mar 2019 04:45:19 +0000

Best regards,
Shuping

发件人： Pengshuping (Peng Shuping)<[email-masked]<mailto:[email-masked]>>
收件人： bruno.decraene<[email-masked]<mailto:[email-masked]>>;SPRING WG<[email-masked]<mailto:[email-masked]>>
抄送： draft-filsfils-spring-srv6-network-programming<[email-masked]<mailto:[email-masked]>>
主题： Re: [spring] IPR Poll for draft-filsfils-spring-srv6-network-programming
时间： 2019-03-14 10:01:07

Support the WG adoption.

Thanks,
Shuping

Hi authors, SPRING WG,

Thank you,

--Bruno & Rob.

Thank you.

---

From: "Clarence Filsfils (cfilsfil)" <[email-masked]>
Date: Thu, 14 Mar 2019 14:13:58 +0100

I am not aware of any IPR other than the one already disclosed.

Cheers,
Clarence

On 13-03-19 19:50, [email-masked] wrote:
> Hi authors, SPRING WG,
> 
> In parallel to the call for adoption for 
> draft-filsfils-spring-srv6-network-programming (1), we would like to 
> poll for IPR.
> 
> If you are aware of IPR that applies to 
> draft-filsfils-spring-srv6-network-programming please respond to this email.
> 
> If you are aware of IPR, please indicate whether it has been disclosed 
> in accordance with IETF IPR rules (RFCs 3979, 4879, 3669 and 5378 
> provide more details).
> 
> If you are an *author or contributor* please respond to this email 
> regardless of whether or not you're aware of any IPR.
> 
> If you are not an author or contributor, please explicitly respond only 
> if you are aware of IPR that has not yet been disclosed.
> 
> This document will not advance into the working group until IPR 
> confirmations have been received from all authors and contributors.
> 
> Thank you,
> 
> (1)https://tools.ietf.org/html/draft-filsfils-spring-srv6-network-programming-07
> 
> --Bruno & Rob.
>

---

From: "Pablo Camarillo (pcamaril)" <[email-masked]>
Date: Fri, 15 Mar 2019 08:28:02 +0000

Hi,

Thanks,
Pablo

From: "[email-masked]" <[email-masked]>
Date: Wednesday, 13 March 2019 at 19:50
To: SPRING WG <[email-masked]>
Cc: "[email-masked]" <[email-masked]>
Subject: IPR Poll for draft-filsfils-spring-srv6-network-programming
Resent-From: <[email-masked]>
Resent-To: <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>
Resent-Date: Wednesday, 13 March 2019 at 19:50

Hi authors, SPRING WG,

Thank you,

--Bruno & Rob.

Thank you.

---

From: Matsushima Satoru <[email-masked]>
Date: Fri, 15 Mar 2019 22:39:39 +0900

I'm not aware of IPR that applies to the draft.

Cheers,
--satoru

---

From: Ron Bonica <[email-masked]>
Date: Sun, 17 Mar 2019 20:52:29 +0000

Bruno,

While I like many things about this draft, I don't think that it is ready for adoption. Reasons follow:

  *   Section 4.1 appears to contradict Section 4.3.1 of draft-ietf-6man-segment-routing-header. In particular, consider the behavior when Segments Left equals 0.
  *   Sections 4.13, 4.14. 4.21.1 and 4.21.2 appear to be in conflict with RFC 8200 [1] [2].
  *   The intent of section 4.19 is unclear.
  *   As Adrian points out, the draft extends the semantics of the IPv6 address. Such a decision may have wide-reaching impact, and should be socialized with a wider community (6man, INTAREA WG, V6OPS)
  *   The draft appears to be in conflict with draft-ietf-6man-segment-routing-header regarding how extension headers after the SRH are processed. According to draft-ietf-6man-segment-routing-header, subsequent extension headers are processed out of order, potentially in conflict with RFC 8200. According to this draft, subsequent extension headers are ignored.

[1] According to RFC 8200, "Each extension header should occur at most once, except for the Destination Options header, which should occur at most twice (once before a Routing header and once before the upper-layer header)."

[2] According to RFC 8200, "extension headers must be processed strictly in the order they appear  in the packet" . Sections 4.13 and 4.14 violate this rule by prepending an SRH before the SRH that is currently being processed.

                                                                                                     Ron

From: spring <[email-masked]> On Behalf Of [email-masked]
Sent: Wednesday, March 13, 2019 2:50 PM
To: SPRING WG <[email-masked]>
Cc: [email-masked]
Subject: [spring] IPR Poll for draft-filsfils-spring-srv6-network-programming

Hi authors, SPRING WG,

Thank you,

(1)  https://tools.ietf.org/html/draft-filsfils-spring-srv6-network-programming-07<https://urldefense.proofpoint.com/v2/url?u=https-3A__tools.ietf.org_html_draft-2Dfilsfils-2Dspring-2Dsrv6-2Dnetwork-2Dprogramming-2D07&d=DwMFAg&c=HAkYuh63rsuhr6Scbfh0UjBXeMK-ndb3voDTXcWzoCI&r=Fch9FQ82sir-BoLx84hKuKwl-AWF2EfpHcAwrDThKP8&m=g5euhKG6OY3m1hMFewvX_AhsPNPcaeHrTSLS3oY3KoM&s=5KlDTs7QncIP0FnevaMhAHEIjoQLlCw9xVVUrR40dqY&e=>

--Bruno & Rob.

Thank you.

---

From: Robert Raszuk <[email-masked]>
Date: Sun, 17 Mar 2019 22:17:39 +0100

Dear Ron,

While authors may address your other questions allow me to express an
opinion regarding your observation:

"conflict with RFC 8200 [1] [2]"

As written today RFC 8200 provides rules for insertion and handling of
those extension headers which are enumerated in said RFC and are listed in
IANA IPv6 Extension Header Types registry. SRH is not part of either of
those lists.

It also has been communicated very clearly by 6man chairs and ADs when
RFC8200 was proceeding that any future document can update it when it
defines new types of extension headers therefor I find your reasoning of
"conflict" quite bizarre.

Kind regards,
R.

On Sun, Mar 17, 2019 at 9:52 PM Ron Bonica <rbonica=
[email-masked]> wrote:

> Bruno,
>
>
>
> While I like many things about this draft, I don’t think that it is ready
> for adoption. Reasons follow:
>
>
>
>    - Section 4.1 appears to contradict Section 4.3.1 of
>    draft-ietf-6man-segment-routing-header. In particular, consider the
>    behavior when Segments Left equals 0.
>    - Sections 4.13, 4.14. 4.21.1 and 4.21.2 appear to be in conflict with
>    RFC 8200 [1] [2].
>    - The intent of section 4.19 is unclear.
>    - As Adrian points out, the draft extends the semantics of the IPv6
>    address. Such a decision may have wide-reaching impact, and should be
>    socialized with a wider community (6man, INTAREA WG, V6OPS)
>    - The draft appears to be in conflict with
>    draft-ietf-6man-segment-routing-header regarding how extension headers
>    after the SRH are processed. According to
>    draft-ietf-6man-segment-routing-header, subsequent extension headers are
>    processed out of order, potentially in conflict with RFC 8200. According to
>    this draft, subsequent extension headers are ignored.
>
>
>
> [1] According to RFC 8200, “Each extension header should occur at most once, except for the Destination Options header, which should occur at most twice (once before a Routing header and once before the upper-layer header).”
>
>
>
> [2] According to RFC 8200, “extension headers must be processed strictly in the order they appear  in the packet” . Sections 4.13 and 4.14 violate this rule by prepending an SRH before the SRH that is currently being processed.
>
>
>
>
>
>
>
>
> Ron
>
>
>
>
>
>
>
> *From:* spring <[email-masked]> *On Behalf Of *
> [email-masked]
> *Sent:* Wednesday, March 13, 2019 2:50 PM
> *To:* SPRING WG <[email-masked]>
> *Cc:* [email-masked]
> *Subject:* [spring] IPR Poll for
> draft-filsfils-spring-srv6-network-programming
>
>
>
> Hi authors, SPRING WG,
>
>
>
> (1)  https://tools.ietf.org/html/draft-filsfils-spring-srv6-network-programming-07 <https://urldefense.proofpoint.com/v2/url?u=https-3A__tools.ietf.org_html_draft-2Dfilsfils-2Dspring-2Dsrv6-2Dnetwork-2Dprogramming-2D07&d=DwMFAg&c=HAkYuh63rsuhr6Scbfh0UjBXeMK-ndb3voDTXcWzoCI&r=Fch9FQ82sir-BoLx84hKuKwl-AWF2EfpHcAwrDThKP8&m=g5euhKG6OY3m1hMFewvX_AhsPNPcaeHrTSLS3oY3KoM&s=5KlDTs7QncIP0FnevaMhAHEIjoQLlCw9xVVUrR40dqY&e=>
>
>
>
>
>
> --Bruno & Rob.
>
>
>

---

From: "Joel M. Halpern" <[email-masked]>
Date: Mon, 18 Mar 2019 08:44:23 +0100

Robert, your description of the conflict situation does not match my 
understanding.
A new rFC can always update existing RFCs.  However, it can't do so 
silently.  If this document wants to make a change to 8200's rules, it 
needs to say so.  And explain the benefit.  And have the proposal 
discussed in 6man.

The current document that has requested working group adoption does not 
address these needs.

Yours,
Joel

On 3/17/19 10:17 PM, Robert Raszuk wrote:
> those extension headers which are enumerated in said RFC and are listed 
> in IANA IPv6 Extension Header Types registry. SRH is not part of either 
> of those lists.
> 
> On Sun, Mar 17, 2019 at 9:52 PM Ron Bonica 
> <rbonica=[email-masked] 
> <mailto:[email-masked]>> wrote:
> 
>     Bruno,____
> 
>     __ __
> 
>     While I like many things about this draft, I don’t think that it is
>     ready for adoption. Reasons follow:____
> 
>     __ __
> 
>       * Section 4.1 appears to contradict Section 4.3.1 of
>         draft-ietf-6man-segment-routing-header. In particular, consider
>         the behavior when Segments Left equals 0.____
>       * Sections 4.13, 4.14. 4.21.1 and 4.21.2 appear to be in conflict
>         with RFC 8200 [1] [2].____
>       * The intent of section 4.19 is unclear.____
>       * As Adrian points out, the draft extends the semantics of the
>         IPv6 address. Such a decision may have wide-reaching impact, and
>         should be socialized with a wider community (6man, INTAREA WG,
>         V6OPS)____
>       * The draft appears to be in conflict with
>         draft-ietf-6man-segment-routing-header regarding how extension
>         headers after the SRH are processed. According to
>         draft-ietf-6man-segment-routing-header, subsequent extension
>         headers are processed out of order, potentially in conflict with
>         RFC 8200. According to this draft, subsequent extension headers
>         are ignored.____
> 
>     __ __
> 
>     [1] According to RFC 8200, “Each extension header should occur at
>     most once, except for the Destination Options header, which should
>     occur at most twice (once before a Routing header and once before
>     the upper-layer header).”____
> 
>     __ __
> 
>     [2] According to RFC 8200, “extension headers must be processed
>     strictly in the order they appear  in the packet” . Sections 4.13
>     and 4.14 violate this rule by prepending an SRH before the SRH that
>     is currently being processed.____
> 
>     __ __
> 
>     __ __
> 
>     __ __
> 
>                                                                                                           Ron____
> 
>     __ __
> 
>     __ __
> 
>     __ __
> 
>     *From:* spring <[email-masked]
>     <mailto:[email-masked]>> *On Behalf Of
>     [email-masked] <mailto:[email-masked]>
>     *To:* SPRING WG <[email-masked] <mailto:[email-masked]>>
>     <mailto:[email-masked]>
>     draft-filsfils-spring-srv6-network-programming____
> 
>     __ __
> 
>     Hi authors, SPRING WG,____
> 
>     __  __
> 
>     In parallel to the call for adoption for draft-filsfils-spring-srv6-network-programming (1), we would like to poll for IPR.____
> 
>     __  __
> 
>     If you are aware of IPR that applies to draft-filsfils-spring-srv6-network-programming please respond to this email.____
> 
>     If you are aware of IPR, please indicate whether it has been disclosed in accordance with IETF IPR rules (RFCs 3979, 4879, 3669 and 5378 provide more details).____
> 
>     __  __
> 
>     If you are an *author or contributor* please respond to this email regardless of whether or not you're aware of any IPR.____
> 
>     If you are not an author or contributor, please explicitly respond only if you are aware of IPR that has not yet been disclosed.____
> 
>     __  __
> 
>     This document will not advance into the working group until IPR confirmations have been received from all authors and contributors.____
> 
>     __  __
> 
>     Thank you,____
> 
>     __  __
> 
>     __(1)__https://tools.ietf.org/html/draft-filsfils-spring-srv6-network-programming-07  <https://urldefense.proofpoint.com/v2/url?u=https-3A__tools.ietf.org_html_draft-2Dfilsfils-2Dspring-2Dsrv6-2Dnetwork-2Dprogramming-2D07&d=DwMFAg&c=HAkYuh63rsuhr6Scbfh0UjBXeMK-ndb3voDTXcWzoCI&r=Fch9FQ82sir-BoLx84hKuKwl-AWF2EfpHcAwrDThKP8&m=g5euhKG6OY3m1hMFewvX_AhsPNPcaeHrTSLS3oY3KoM&s=5KlDTs7QncIP0FnevaMhAHEIjoQLlCw9xVVUrR40dqY&e=>____
> 
>     __  __
> 
>     __  __
> 
>     --Bruno & Rob.____
> 
>     __ __
> 
>     _____________________________________________________________________________________________________________________________
> 
>     __ __
> 
>     Ce message et ses pieces jointes peuvent contenir des informations
>     confidentielles ou privilegiees et ne doivent donc____
> 
>     pas etre diffuses, exploites ou copies sans autorisation. Si vous
>     avez recu ce message par erreur, veuillez le signaler____
> 
>     a l'expediteur et le detruire ainsi que les pieces jointes. Les
>     messages electroniques etant susceptibles d'alteration,____
> 
>     Orange decline toute responsabilite si ce message a ete altere,
>     deforme ou falsifie. Merci.____
> 
>     __ __
> 
>     This message and its attachments may contain confidential or
>     privileged information that may be protected by law;____
> 
>     they should not be distributed, used or copied without
>     authorisation.____
> 
>     If you have received this email in error, please notify the sender
>     and delete this message and its attachments.____
> 
>     As emails may be altered, Orange is not liable for messages that
>     have been modified, changed or falsified.____
> 
>     Thank you.____
> 
>     [email-masked] <mailto:[email-masked]>

---

From: Robert Raszuk <[email-masked]>
Date: Mon, 18 Mar 2019 10:47:12 +0100

Hi Joel,

The way I would handle it is to proceed with the current document in SPRING
and use it as indicator of benefits while in the same time issue a new
draft in 6man updating RFC8200 not by duplicating this draft, but using it
as justification for the update.

Going now to 6man with individual submission not really related to IPv6 is
IMHO not the best strategy.

Btw this thread is about IPR pool ... I think Ron may have mixed the
threads :)

Best,
R.

---

From: Linda Dunbar <[email-masked]>
Date: Mon, 18 Mar 2019 15:26:59 +0000

Support,

Linda Dunbar

On Thu, Mar 14, 2019 at 3:50 AM <bruno.decraene@orange..com<mailto:[email-masked]>> wrote:

Hi authors, SPRING WG,

Thank you,

--Bruno & Rob.

Thank you.

---

From: Ahmed Bashandy <[email-masked]>
Date: Tue, 19 Mar 2019 17:11:34 +0200

As a contributor, I am not aware of any IPR that had not already been
disclosed

Ahmed

---

From: Robert Raszuk <[email-masked]>
Date: Thu, 21 Mar 2019 16:17:26 +0100

Dear Chairs and the WG,

Thanks

Robert

---

From: "Bernier, Daniel" <[email-masked]>
Date: Thu, 21 Mar 2019 16:11:45 +0000

As a contributor I am not aware of any IPR

Thanks,

Dan Bernier

On 2019-03-13, 2:50 PM, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>> wrote:

Hi authors, SPRING WG,

Thank you,

--Bruno & Rob.

Thank you.

---

From: "Voyer, Daniel" <[email-masked]>
Date: Thu, 21 Mar 2019 18:14:25 +0000

I am not aware of any IPR, other than the one already disclosed.

dan

From: Bruno Decraene <[email-masked]>
Date: Wednesday, March 13, 2019 at 2:50 PM
To: SPRING WG <[email-masked]>
Cc: "[email-masked]" <[email-masked]>
Subject: IPR Poll for draft-filsfils-spring-srv6-network-programming
Resent-From: <[email-masked]>
Resent-To: <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>
Resent-Date: Wednesday, March 13, 2019 at 2:50 PM

Hi authors, SPRING WG,

Thank you,

--Bruno & Rob.

Thank you.

---

From: "PEIRENS Bart (TSI/MST)" <[email-masked]>
Date: Mon, 25 Mar 2019 08:59:42 +0000

Hi,

As a contributor, not aware of any IPR that has not yet been disclosed.

Bart

This e-mail cannot be used for other purposes than Proximus business use. See more on https://www.proximus.be/maildisclaimer
From: [email-masked] <[email-masked]>
Sent: Wednesday, March 13, 2019 7:50 PM
To: SPRING WG <[email-masked]>
Cc: [email-masked]
Subject: IPR Poll for draft-filsfils-spring-srv6-network-programming

Hi authors, SPRING WG,

Thank you,

--Bruno & Rob.

Thank you.

---

From: David Lebrun <[email-masked]>
Date: Fri, 29 Mar 2019 09:18:14 +0100

As a contributor, I am not aware of any IPR.

Thanks